Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467608 - =app-text/liblangtag-0.5.0 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =app-text/liblangtag-0.5.0 fails with automake-1.13 - error: 'AM_CONFIG_HEADE...
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 21:08 UTC by Ian Stakenvicius
Modified: 2013-06-20 17:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-04-27 21:08:27 UTC
# cat /var/tmp/portage/app-text/liblangtag-0.4.0-r1/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/app-text/liblangtag-0.4.0-r1/work/liblangtag-0.4.0
***** aclocal -I m4macros

/usr/share/aclocal/zthread.m4:34: warning: underquoted definition of AM_PATH_ZTHREAD
/usr/share/aclocal/zthread.m4:34:   run info Automake 'Extending aclocal'
/usr/share/aclocal/zthread.m4:34:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:14: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:14: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

Please note that although this package is stable and automake-1.13 is ~arch,
this is still a priority fix because ~arch users are immediately affected.
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2013-04-28 08:06:38 UTC
I fixed this already in cvs 2 days ago.

Please recheck and close if i am right.
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2013-04-30 11:25:38 UTC
PING!
Comment 3 Ian Stakenvicius gentoo-dev 2013-04-30 13:53:52 UTC
Sorry, i'm partially AWOL at the moment.

I think i reported the wrong package atom. Liblangtag-0.4.0-r1 seems OK but liblangtag-0.5.0 isn't fixed as of my sync this morning:

confiugre.ac, Line 17:
AM_CONFIG_HEADER([config.h])


..should be AC_CONFIG_HEADER.  I expect the same sed you added to 0.4.0-r1 would suffice.
Comment 4 Tomáš Chvátal (RETIRED) gentoo-dev 2013-04-30 14:36:34 UTC
Yup, but that should be no problem, because 0.5.0 is not eautoreconfed so it does not matter what macros are there, no?
Comment 5 Tomáš Chvátal (RETIRED) gentoo-dev 2013-06-20 11:51:04 UTC
It really should not fail, i installed the automake-1.13 and 0.5.0 worked like charm.
Comment 6 Ian Stakenvicius gentoo-dev 2013-06-20 17:03:35 UTC
Yeah, the fatal error was turned back into a warning in the latest version of automake-1.13 .. So this is a holdout until automake-1.14 hits the tree, probably.


resolution is good tho, thanks for handling!